package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the groupstatuslike database table.
 * 
 */
@Entity
public class GroupStatusLike implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private GroupStatusLikePK id;

	private byte datelikestatus;

	//bi-directional many-to-one association to GroupStatus
	@ManyToOne
	@JoinColumn(name="idgstatus", nullable = false, insertable = false, updatable = false)
	private GroupStatus groupstatus;

	//bi-directional many-to-one association to MemberGroup
	@ManyToOne
	@JoinColumns({
		@JoinColumn(name="email", referencedColumnName="email", nullable = false, insertable = false, updatable = false),
		@JoinColumn(name="idgroup", referencedColumnName="idgroup", nullable = false, insertable = false, updatable = false)
		})
	private MemberGroup membergroup;

	public GroupStatusLike() {
	}

	public GroupStatusLikePK getId() {
		return this.id;
	}

	public void setId(GroupStatusLikePK id) {
		this.id = id;
	}

	public byte getDatelikestatus() {
		return this.datelikestatus;
	}

	public void setDatelikestatus(byte datelikestatus) {
		this.datelikestatus = datelikestatus;
	}

	public GroupStatus getGroupstatus() {
		return this.groupstatus;
	}

	public void setGroupstatus(GroupStatus groupstatus) {
		this.groupstatus = groupstatus;
	}

	public MemberGroup getMembergroup() {
		return this.membergroup;
	}

	public void setMembergroup(MemberGroup membergroup) {
		this.membergroup = membergroup;
	}

}